import { Browser, EmulateOptions, LaunchOptions } from 'puppeteer-core';
import { ClipOptions } from './VFrame';
import { IMetadata } from './VMetadata';
import { VPage } from './VPage';
export declare type ClipOptionsWithURL = ClipOptions & {
    url: string;
    accountLabel?: string;
    outputPath: string | ((metadata: IMetadata) => Promise<string>);
};
export declare class VBrowser {
    browser: Browser;
    static clipPages({ verbose, noSandbox, headless, language, device, userDataDir, }: {
        verbose?: boolean;
        noSandbox?: boolean;
        headless?: boolean;
        language?: string;
        device?: EmulateOptions;
        userDataDir?: string;
    }, list: ClipOptionsWithURL[]): Promise<void>;
    static launch(noSandbox?: boolean, { args, ...options }?: LaunchOptions, lang?: string): Promise<VBrowser>;
    private constructor();
    newPage(device?: EmulateOptions): Promise<VPage>;
    close(): Promise<void>;
}
